geany

geany

Felicia Hendrickson (fehfeh1) Publisher
  • Felicia Hendrickson (fehfeh1) Publisher

Install latest/edge of geany

Ubuntu 16.04 or later?

Make sure snap support is enabled in your Desktop store.


Install using the command line

sudo snap install geany-gtk --edge

Don't have snapd? Get set up for snaps.

geany is only available on the unstable edge channel. It could break and change often.

Channel Version Published

A fast and lightweight IDE

Geany is a small and lightweight integrated development environment. It was developed to provide a small and fast IDE, which has only a few dependencies from other packages. Another goal was to be as independent as possible from a special Desktop Environment like KDE or GNOME. So it is using only the GTK+ toolkit and therefore you need only the GTK+ runtime libraries to run Geany. grade: devel # must be 'stable' to release into candidate/stable channels confinement: devmode # use 'strict' once you have the right plugs

Details for geany

License
Proprietary
Last updated
4 October 2020

Share this snap

Generate an embeddable card to be shared on external websites.


Related blog posts


Where people are using geany

Users by distribution (log)

Ubuntu 20.04
Ubuntu 18.04
Ubuntu 21.04
Ubuntu 19.10
Ubuntu 20.10
Raspbian 10
Zorin OS 15
Ubuntu 19.04
Manjaro
Debian 10
Linux Mint 20.2
CentOS 7
Linux Mint 20
Ubuntu 16.04
CentOS 8
Debian 9
Linux Mint 19.3
Linux Mint 20.1

Install geany on your Linux distribution

Choose your Linux distribution to get detailed installation instructions. If yours is not shown, get more details on the installing snapd documentation.


Is there a problem with geany? Report this app